ARG SUFFIX=""
FROM container-registry.pommalabs.xyz/pommalabs/dotnet:8-azure-appsvc$SUFFIX AS base

FROM container-registry.pommalabs.xyz/pommalabs/dotnet:8-sdk$SUFFIX AS build
ARG BUILD_CONFIGURATION=Release
COPY ["test-prj.csproj", ""]
RUN dotnet restore "./test-prj.csproj"
COPY . .
WORKDIR "/opt/sln/"
RUN dotnet build "test-prj.csproj" -c ${BUILD_CONFIGURATION} -o /opt/app/build

FROM build AS publish
ARG BUILD_CONFIGURATION=Release
RUN dotnet publish "test-prj.csproj" -c ${BUILD_CONFIGURATION} -o /opt/app/publish /p:UseAppHost=false

FROM base AS final
COPY --from=publish /opt/app/publish .
CMD ["dotnet", "test-prj.dll"]
